package cn.ezhizao.project.business.product.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.product.mapper.BizProductMapper;
import cn.ezhizao.project.business.product.domain.BizProduct;
import cn.ezhizao.project.business.product.service.IBizProductService;

/**
 * 产品管理Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-13
 */
@Service
public class BizProductServiceImpl  extends ServiceImpl<BizProductMapper, BizProduct> implements IBizProductService
{
    @Resource
    private BizProductMapper bizProductMapper;

    /**
     * 查询产品管理列表
     *
     * @param bizProduct 产品管理
     * @return 产品管理
     */
    @Override
    public List<BizProduct> getList(BizProduct bizProduct)
    {
        return bizProductMapper.getList(bizProduct);
    }

    @Override
    public List<BizProduct> getProductsForSupplier(BizProduct bizProduct) {
        return bizProductMapper.getProductsForSupplier(bizProduct);
    }

    @Override
    public List<BizProduct> getProductsForOutsource(BizProduct bizProduct) {
        return bizProductMapper.getProductsForOutsource(bizProduct);
    }

    /**
     * 物理删除
     * @param bizProduct 待删除
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProduct bizProduct){ return bizProductMapper.physicalDelete(bizProduct); }

    @Override
    public int getProcuctDrawing(BizProduct bizProduct) {
        return bizProductMapper.getProcuctDrawing(bizProduct);
    }

    ;

}
